<?php

class UserIdentity extends CUserIdentity
{
        private $_id;
	public function authenticate()
	{
                $username=strtolower(htmlspecialchars(addslashes(stripslashes(strip_tags(trim($this->username))))));
                $user= Usuario::model()->find('LOWER(login)=? AND estatus="0" AND borrado="0"',array($username));
              	if($user===null)
			$this->errorCode=self::ERROR_USERNAME_INVALID;
		else if(!$user->validatePassword($this->password))
			$this->errorCode=self::ERROR_PASSWORD_INVALID;
		else
		{
			$this->_id=$user->id_usuario;
			$this->username=$user->login;
			$this->errorCode=self::ERROR_NONE;  
		}
		return $this->errorCode==self::ERROR_NONE;
         }
                public function getId(){            
		return $this->_id; 
      }  
}
